.button {
  border-radius: $border-radius;
  padding: 0.75rem 3.125rem;
  border: 2px solid $primary;
  font-size: 1rem;
  cursor: pointer;
  font-weight: 600;
  display: block;
  text-align: center;

  &__primary {
    color: $white;
    background-color: $primary;
    transition: all 0.2s cubic-bezier(0.4, 0, 0.2, 1);

    &:hover {
      color: $primary;
      background-color: $white;
    }
  }

  &__secondary {
    color: $primary;
    background-color: $white;
    transition: all 0.2s cubic-bezier(0.4, 0, 0.2, 1);

    &:hover {
      color: $white;
      background-color: $primary;
    }
  }

  &--small {
    font-size: 0.875rem;
    padding: 0.25rem 1.125rem;
  }

  &--light {
    color: $primary;
    background-color: $white;
    transition: all 0.15s ease;
    cursor: pointer;
    opacity: 1;
    border: 2px solid $white;

    &:hover {
      transform: translateY(-2px);
      transition: opacity 1s;
      transition: all 0.15s ease;
      opacity: 0.75;
      border: 2px solid $white;
    }
  }
}

a.button {
  text-decoration: none;
}

.buttons {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  margin-top: 1.5rem;
  flex-wrap: wrap;

  & .button:nth-child(2) {
    margin-left: 1.5rem;

    @include phone {
      margin: 1.5rem 0 0 0;
    }
  }

  & .button {
    @include phone {
      margin: 1.5rem 0 0 0;
    }
  }

  &.center {
    justify-content: center !important;
    margin: 2rem 0;
  }
}
